Daemon Power

The NetBSD Packages Collection: www/ruby-actionpack51

Brief description of the package:
Toolkit for building modeling frameworks (part of Rails 5.2)

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.rubyonrails.org/.

Please note that this package has a mit license.

The package is located in the "www/ruby-actionpack51" directory. The current source version of the package is "ruby26-actionpack51-5.1.7". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/ruby-actionpack51 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby26-actionview51>=5.1.7<5.1.8 ruby26-activesupport51>=5.1.7<5.1.8 ruby26-i18n>=0.7 ruby26-concurrent-ruby>=1.0<2 ruby26-base>=2.6.6 openssl>=1.1.1 cwrappers>=20150314 libyaml>=0.1.1 openssl>=1.1.1dnb2 libyaml>=0.1.4 ruby26-thread_safe>=0.3.4 ruby26-tzinfo1>=1.1 ruby26-thread_safe>=0.1<1 ruby26-builder>=3.1 ruby26-erubi>=1.4 ruby26-rails-dom-testing>=2.0 ruby26-activesupport52>=5.2.4.3<5.3 ruby26-i18n>=0.7<2 ruby26-concurrent-ruby>=1.0.2 ruby26-tzinfo1>=1.1<2 ruby26-nokogiri>=1.6.0 ruby26-mini_portile2>=2.4.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.9.10nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.34nb2 ruby26-pkg-config-[0-9]* ruby26-rails-html-sanitizer>=1.0.3 ruby26-loofah>=2.2.0 ruby26-nokogiri>=1.5.9 ruby26-crass>=1.0.2<1.1 ruby26-rack>=2.0 ruby26-rack-test>=0.6.3 ruby26-rack>=1.0 .

This package requires the following package(s) to run: ruby26-actionview51>=5.1.7<5.1.8 ruby26-activesupport51>=5.1.7<5.1.8 ruby26-i18n>=0.7 ruby26-concurrent-ruby>=1.0<2 ruby26-base>=2.6.6 openssl>=1.1.1 libyaml>=0.1.1 openssl>=1.1.1dnb2 libyaml>=0.1.4 ruby26-thread_safe>=0.3.4 ruby26-tzinfo1>=1.1 ruby26-thread_safe>=0.1<1 ruby26-builder>=3.1 ruby26-erubi>=1.4 ruby26-rails-dom-testing>=2.0 ruby26-activesupport52>=5.2.4.3<5.3 ruby26-i18n>=0.7<2 ruby26-concurrent-ruby>=1.0.2 ruby26-tzinfo1>=1.1<2 ruby26-nokogiri>=1.6.0 ruby26-mini_portile2>=2.4.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.9.10nb2 libxslt>=1.1.34nb2 ruby26-rails-html-sanitizer>=1.0.3 ruby26-loofah>=2.2.0 ruby26-nokogiri>=1.5.9 ruby26-crass>=1.0.2<1.1 ruby26-rack>=2.0 ruby26-rack-test>=0.6.3 ruby26-rack>=1.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
alpha:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
alpha:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
alpha:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
alpha:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
alpha:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
earmv4:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv4:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv4:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv6hf:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv6hf:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv6hf:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv6hf:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
earmv6hf:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
earmv6hf:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
earmv7hf:ruby24-actionpack51-5.1.7.tgz(NetBSD 8.0)
earmv7hf:ruby25-actionpack51-5.1.7.tgz(NetBSD 8.0)
earmv7hf:ruby26-actionpack51-5.1.7.tgz(NetBSD 8.0)
earmv7hf:ruby27-actionpack51-5.1.7.tgz(NetBSD 8.0)
earmv7hf:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv7hf:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv7hf:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
earmv7hf:ruby24-actionpack51-5.1.7.tgz(NetBSD 9.0)
earmv7hf:ruby25-actionpack51-5.1.7.tgz(NetBSD 9.0)
earmv7hf:ruby26-actionpack51-5.1.7.tgz(NetBSD 9.0)
earmv7hf:ruby27-actionpack51-5.1.7.tgz(NetBSD 9.0)
earmv7hf:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
earmv7hf:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
earmv7hf:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
i386:ruby24-actionpack51-5.1.7.tgz(NetBSD 9.0)
i386:ruby25-actionpack51-5.1.7.tgz(NetBSD 9.0)
i386:ruby26-actionpack51-5.1.7.tgz(NetBSD 9.0)
i386:ruby27-actionpack51-5.1.7.tgz(NetBSD 9.0)
i386:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 7.0)
i386:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 7.0)
i386:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 7.0)
i386:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 7.0)
i386:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 7.1)
i386:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 7.1)
i386:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 7.1)
i386:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 7.1)
i386:ruby24-actionpack51-5.1.7.tgz(NetBSD 7.1)
i386:ruby25-actionpack51-5.1.7.tgz(NetBSD 7.1)
i386:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
i386:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
i386:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
i386:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
i386:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
i386:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
i386:ruby24-actionpack51-5.1.7.tgz(NetBSD 8.0)
i386:ruby25-actionpack51-5.1.7.tgz(NetBSD 8.0)
i386:ruby26-actionpack51-5.1.7.tgz(NetBSD 8.0)
i386:ruby27-actionpack51-5.1.7.tgz(NetBSD 8.0)
i386:ruby24-actionpack51-5.1.7.tgz(NetBSD 9.0)
i386:ruby25-actionpack51-5.1.7.tgz(NetBSD 9.0)
i386:ruby26-actionpack51-5.1.7.tgz(NetBSD 9.0)
i386:ruby27-actionpack51-5.1.7.tgz(NetBSD 9.0)
i386:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
i386:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
i386:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
mips64eb:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
mips64eb:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
mips64eb:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
powerpc:ruby22-actionpack51-5.1.5.tgz(NetBSD 7.1)
powerpc:ruby22-actionpack51-5.1.6.1.tgz(NetBSD 7.1)
powerpc:ruby22-actionpack51-5.1.6.tgz(NetBSD 7.1)
powerpc:ruby23-actionpack51-5.1.5.tgz(NetBSD 7.1)
powerpc:ruby23-actionpack51-5.1.6.1.tgz(NetBSD 7.1)
powerpc:ruby23-actionpack51-5.1.6.tgz(NetBSD 7.1)
powerpc:ruby24-actionpack51-5.1.5.tgz(NetBSD 7.1)
powerpc:ruby24-actionpack51-5.1.6.1.tgz(NetBSD 7.1)
powerpc:ruby24-actionpack51-5.1.6.tgz(NetBSD 7.1)
powerpc:ruby25-actionpack51-5.1.5.tgz(NetBSD 7.1)
powerpc:ruby25-actionpack51-5.1.6.1.tgz(NetBSD 7.1)
powerpc:ruby25-actionpack51-5.1.6.tgz(NetBSD 7.1)
powerpc:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
powerpc:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
powerpc:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
powerpc:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
powerpc:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
powerpc:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
sparc64:ruby22-actionpack51-5.1.5.tgz(NetBSD 7.1)
sparc64:ruby23-actionpack51-5.1.5.tgz(NetBSD 7.1)
sparc64:ruby24-actionpack51-5.1.5.tgz(NetBSD 7.1)
sparc64:ruby25-actionpack51-5.1.5.tgz(NetBSD 7.1)
sparc64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
sparc64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
sparc64:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
sparc64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
sparc64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
sparc64:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
sparc:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
sparc:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
x86_64:ruby24-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby25-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby26-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby27-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby24-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby25-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby26-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby27-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 7.0)
x86_64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 7.0)
x86_64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 7.0)
x86_64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 7.0)
x86_64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 7.1)
x86_64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 7.1)
x86_64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 7.1)
x86_64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 7.1)
x86_64:ruby24-actionpack51-5.1.7.tgz(NetBSD 7.1)
x86_64:ruby25-actionpack51-5.1.7.tgz(NetBSD 7.1)
x86_64:ruby24-actionpack51-5.1.7.tgz(NetBSD 8.0)
x86_64:ruby25-actionpack51-5.1.7.tgz(NetBSD 8.0)
x86_64:ruby26-actionpack51-5.1.7.tgz(NetBSD 8.0)
x86_64:ruby27-actionpack51-5.1.7.tgz(NetBSD 8.0)
x86_64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
x86_64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
x86_64:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
x86_64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
x86_64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
x86_64:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 8.0)
x86_64:ruby24-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby25-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby26-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby27-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby24-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
x86_64:ruby25-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
x86_64:ruby26-actionpack51-5.1.6.2.tgz(NetBSD 9.0)
x86_64:ruby25-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby26-actionpack51-5.1.7.tgz(NetBSD 9.0)
x86_64:ruby27-actionpack51-5.1.7.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]